Difference between revisions of "Draft Ellipse"

From FreeCAD Documentation
Jump to: navigation, search
(Draft AddPoint button)
m (Docnav)
(12 intermediate revisions by 2 users not shown)
Line 1: Line 1:
 
<languages/>
 
<languages/>
 
<translate>
 
<translate>
 +
<!--T:19-->
 +
{{Docnav|[[Draft_Arc|Arc]]|[[Draft_Polygon|Polygon]]|[[Draft_Module|Draft]]|IconL=Draft_Arc.svg |IconC=Workbench_Draft.svg|IconR=Draft_Polygon.svg }}
 +
 
<!--T:1-->
 
<!--T:1-->
 
{{GuiCommand
 
{{GuiCommand
Line 16: Line 19:
 
The Ellipse tool creates an ellipse in the current [[Draft SelectPlane|work plane]] by entering two points, defining the corners of a rectangular box in which the ellipse will fit. It uses the [[Draft Linestyle]] set on the [[Draft Tray]].
 
The Ellipse tool creates an ellipse in the current [[Draft SelectPlane|work plane]] by entering two points, defining the corners of a rectangular box in which the ellipse will fit. It uses the [[Draft Linestyle]] set on the [[Draft Tray]].
  
This tool can also be used to create elliptical arcs by specifying the start and end angles. To create circles and circular arcs use the [[Draft Circle]] and [[Draft Arc]] tools.
+
<!--T:14-->
 +
This tool can also be used to create elliptical arcs by specifying the start and end angles. To create circles and circular arcs use the [[Draft Circle]] and [[Draft Arc]] tools. You can also approximate an elliptical or circular arc using the [[Draft BSpline]] and [[Draft BezCurve]] tools.
  
 +
</translate>
 +
[[Image:Draft_ellipse_example.jpg|400px]]
 +
<translate>
 
<!--T:4-->
 
<!--T:4-->
[[Image:Draft_ellipse_example.jpg|400px]]
+
{{Caption|Ellipse defined by the rectangle corners}}
  
 
==How to use== <!--T:5-->
 
==How to use== <!--T:5-->
Line 26: Line 33:
 
# Click a second point on the 3D view, or type a [[Draft_Coordinates|coordinate]] and press the {{Button|[[Image:Draft_AddPoint.svg|16px]] [[Draft_AddPoint|add point]]}} button.
 
# Click a second point on the 3D view, or type a [[Draft_Coordinates|coordinate]] and press the {{Button|[[Image:Draft_AddPoint.svg|16px]] [[Draft_AddPoint|add point]]}} button.
  
 +
<!--T:15-->
 
The ellipse can be turned into an elliptical arc after creation, by setting its first angle and last angle properties to different values.
 
The ellipse can be turned into an elliptical arc after creation, by setting its first angle and last angle properties to different values.
  
Line 35: Line 43:
 
* Press {{KEY|T}} or click the checkbox to toggle ''continue'' mode. If continue mode is on, the Ellipse tool will restart after you finish the shape, allowing you to draw another one without pressing the tool button again.
 
* Press {{KEY|T}} or click the checkbox to toggle ''continue'' mode. If continue mode is on, the Ellipse tool will restart after you finish the shape, allowing you to draw another one without pressing the tool button again.
 
* Press {{KEY|L}} or click the checkbox to toggle ''filled'' mode. If filled mode is on, the ellipse will create a filled face ({{PropertyData|Make Face}} {{TRUE}}); if not, the ellipse will not make a face ({{PropertyData|Make Face}} {{FALSE}}).
 
* Press {{KEY|L}} or click the checkbox to toggle ''filled'' mode. If filled mode is on, the ellipse will create a filled face ({{PropertyData|Make Face}} {{TRUE}}); if not, the ellipse will not make a face ({{PropertyData|Make Face}} {{FALSE}}).
* Press {{KEY|Ctrl}} while drawing to force [[Draft_Snap|snapping]] your point to the nearest snap location, independently of the distance.
+
* Hold {{KEY|Ctrl}} while drawing to force [[Draft_Snap|snapping]] your point to the nearest snap location, independently of the distance.
* Press {{KEY|Shift}} while drawing to [[Draft_Constrain|constrain]] your second point horizontally or vertically in relation to the first one.
+
* Hold {{KEY|Shift}} while drawing to [[Draft_Constrain|constrain]] your second point horizontally or vertically in relation to the first one.
* Press {{KEY|Esc}} or the {{button|Cancel}} button to abort the current command.
+
* Press {{KEY|Esc}} or the {{Button|Close}} button to abort the current command.
  
 
==Properties== <!--T:8-->
 
==Properties== <!--T:8-->
  
 +
<!--T:16-->
 
An Ellipse object shares many properties with a [[Draft Circle]], but some properties only make sense for the ellipse.
 
An Ellipse object shares many properties with a [[Draft Circle]], but some properties only make sense for the ellipse.
  
===Data===<!--T:9-->
+
===Data=== <!--T:9-->
 
* {{PropertyData|First Angle}}: specifies the angle of the first point of the ellipse; normally 0&#176;.
 
* {{PropertyData|First Angle}}: specifies the angle of the first point of the ellipse; normally 0&#176;.
 
* {{PropertyData|Last Angle}}: specifies the angle of the last point of the ellipse; normally 0&#176;.
 
* {{PropertyData|Last Angle}}: specifies the angle of the last point of the ellipse; normally 0&#176;.
Line 52: Line 61:
 
:For it to be a full ellipse {{PropertyData|First Angle}} and {{PropertyData|Last Angle}} should have the same value; otherwise, an elliptical arc is displayed. The values 0&#176; and 360&#176; are considered the same.
 
:For it to be a full ellipse {{PropertyData|First Angle}} and {{PropertyData|Last Angle}} should have the same value; otherwise, an elliptical arc is displayed. The values 0&#176; and 360&#176; are considered the same.
  
===View===<!--T:13-->
+
===View=== <!--T:13-->
 
* {{PropertyView|Pattern}}: specifies a [[Draft Pattern]] with which to fill the face of the shape. This property only works if {{PropertyData|Make Face}} is {{TRUE}}, and if {{PropertyView|Display Mode}} is "Flat Lines".
 
* {{PropertyView|Pattern}}: specifies a [[Draft Pattern]] with which to fill the face of the shape. This property only works if {{PropertyData|Make Face}} is {{TRUE}}, and if {{PropertyView|Display Mode}} is "Flat Lines".
 
* {{PropertyView|Pattern Size}}: specifies the size of the [[Draft Pattern]].
 
* {{PropertyView|Pattern Size}}: specifies the size of the [[Draft Pattern]].
  
 
==Scripting== <!--T:10-->
 
==Scripting== <!--T:10-->
{{emphasis|See also:}} [[FreeCAD Scripting Basics]], [[Draft API]], and the [https://www.freecadweb.org/api autogenerated API documentation].
+
{{Emphasis|See also:}} [[Draft API]] and [[FreeCAD Scripting Basics]].
  
 +
<!--T:17-->
 
The Ellipse tool can by used in [[macros]] and from the [[Python]] console by using the following function:
 
The Ellipse tool can by used in [[macros]] and from the [[Python]] console by using the following function:
 
</translate>
 
</translate>
Line 65: Line 75:
 
}}
 
}}
 
<translate>
 
<translate>
 +
 
<!--T:11-->
 
<!--T:11-->
 
* Creates an {{incode|Ellipse}} object with given major ({{incode|majradius}}) and minor ({{incode|minradius}}) radius in millimeters.
 
* Creates an {{incode|Ellipse}} object with given major ({{incode|majradius}}) and minor ({{incode|minradius}}) radius in millimeters.
Line 86: Line 97:
 
Ellipse3 =  Draft.makeEllipse(700, 1000, placement=place3)
 
Ellipse3 =  Draft.makeEllipse(700, 1000, placement=place3)
 
}}
 
}}
{{clear}}
+
<translate>
 +
 
 +
<!--T:18-->
 +
{{Docnav|[[Draft_Arc|Arc]]|[[Draft_Polygon|Polygon]]|[[Draft_Module|Draft]]|IconL=Draft_Arc.svg |IconC=Workbench_Draft.svg|IconR=Draft_Polygon.svg }}
 +
 
 +
<!--T:20-->
 
{{Draft Tools navi}}
 
{{Draft Tools navi}}
 +
 +
<!--T:21-->
 
{{Userdocnavi}}
 
{{Userdocnavi}}
[[Category:Draft]]
+
</translate>
 +
{{clear}}

Revision as of 20:50, 11 February 2019

Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎русский • ‎svenska • ‎Türkçe • ‎中文(中国大陆)‎
Arrow-left.svg Previous: Draft Arc.svg Arc
Next: Polygon Draft Polygon.svg Arrow-right.svg

Draft Ellipse.svg Draft Ellipse

Menu location
Draft → Ellipse
Workbenches
Draft, Arch
Default shortcut
E L
Introduced in version
0.7
See also
Draft Circle, Draft Arc


Description

The Ellipse tool creates an ellipse in the current work plane by entering two points, defining the corners of a rectangular box in which the ellipse will fit. It uses the Draft Linestyle set on the Draft Tray.

This tool can also be used to create elliptical arcs by specifying the start and end angles. To create circles and circular arcs use the Draft Circle and Draft Arc tools. You can also approximate an elliptical or circular arc using the Draft BSpline and Draft BezCurve tools.

Draft ellipse example.jpg

Ellipse defined by the rectangle corners


How to use

  1. Press the Draft Ellipse.png Draft Ellipse button, or press E then L keys.
  2. Click a first point on the 3D view, or type a coordinate and press the Draft AddPoint.svg add point button.
  3. Click a second point on the 3D view, or type a coordinate and press the Draft AddPoint.svg add point button.

The ellipse can be turned into an elliptical arc after creation, by setting its first angle and last angle properties to different values.

Options

  • To enter coordinates manually, simply enter the numbers, then press Enter between each X, Y and Z component. You can press the Draft AddPoint.svg add point button when you have the desired values to insert the point.
  • Press R or click the checkbox to toggle relative mode. If relative mode is on, the coordinates of the second point are relative to the first one; if not, they are absolute, taken from the origin (0,0,0).
  • Press T or click the checkbox to toggle continue mode. If continue mode is on, the Ellipse tool will restart after you finish the shape, allowing you to draw another one without pressing the tool button again.
  • Press L or click the checkbox to toggle filled mode. If filled mode is on, the ellipse will create a filled face (DATAMake Face True); if not, the ellipse will not make a face (DATAMake Face False).
  • Hold Ctrl while drawing to force snapping your point to the nearest snap location, independently of the distance.
  • Hold Shift while drawing to constrain your second point horizontally or vertically in relation to the first one.
  • Press Esc or the Close button to abort the current command.

Properties

An Ellipse object shares many properties with a Draft Circle, but some properties only make sense for the ellipse.

Data

  • DATAFirst Angle: specifies the angle of the first point of the ellipse; normally 0°.
  • DATALast Angle: specifies the angle of the last point of the ellipse; normally 0°.
  • DATAMajor Radius: specifies the major radius of the ellipse.
  • DATAMinor Radius: specifies the minor radius of the ellipse.
If the both radius have the same value, the ellipse looks the same as a Draft Circle.
  • DATAMake Face: specifies if the Ellipse makes a face or not. If it is True a face is created, otherwise only the perimeter is considered part of the object. This property only works if the shape is a full ellipse.
For it to be a full ellipse DATAFirst Angle and DATALast Angle should have the same value; otherwise, an elliptical arc is displayed. The values 0° and 360° are considered the same.

View

  • VIEWPattern: specifies a Draft Pattern with which to fill the face of the shape. This property only works if DATAMake Face is True, and if VIEWDisplay Mode is "Flat Lines".
  • VIEWPattern Size: specifies the size of the Draft Pattern.

Scripting

See also: Draft API and FreeCAD Scripting Basics.

The Ellipse tool can by used in macros and from the Python console by using the following function:

Ellipse = makeEllipse(majradius, minradius, placement=None, face=True, support=None)
  • Creates an Ellipse object with given major (majradius) and minor (minradius) radius in millimeters.
    • The bigger value will be used for the major radius (X axis) if no other placement is given.
  • If a placement is given, it is used; otherwise the shape is created at the origin.
  • If face is True, the ellipse will make a face, that is, it will appear filled.

Example:

import FreeCAD, Draft

Ellipse1 =  Draft.makeEllipse(3000, 200)
Ellipse2 =  Draft.makeEllipse(700, 1000)

ZAxis = FreeCAD.Vector(0, 0, 1)
p3 = FreeCAD.Vector(1000, 1000, 0)
place3 = FreeCAD.Placement(p3, FreeCAD.Rotation(ZAxis, 90))

Ellipse3 =  Draft.makeEllipse(700, 1000, placement=place3)
Arrow-left.svg Previous: Draft Arc.svg Arc
Next: Polygon Draft Polygon.svg Arrow-right.svg